Mail archive
alpine-aports

[alpine-aports] [PATCH 17/20] testing/lz4: new aport lossless compression algorithm http://www.lz4.info

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Mon, 20 Apr 2015 11:14:31 +0000

required for the new spice-gtk 0.28 update patch to follow
---
 testing/lz4/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/lz4/APKBUILD
diff --git a/testing/lz4/APKBUILD b/testing/lz4/APKBUILD
new file mode 100644
index 0000000..4fc0589
--- /dev/null
+++ b/testing/lz4/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=lz4
+pkgver=128
+_pkgver=r${pkgver}
+pkgrel=0
+pkgdesc="LZ4 is lossless compression algorithm with fast decoder _at_ multiple GB/s per core."
+url="http://www.lz4.info"
+arch="all"
+license="BSD / GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://github.com/Cyan4973/lz4/archive/$_pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$_pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        export PREFIX="/usr"
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="ebcc102f31e890974f96b7a05861d9fd  r128.tar.gz"
+sha256sums="cb08a99a9d0bea4aa5a4707070c574fc0e4dab549522a171b8078b8a1f50c7d1  r128.tar.gz"
+sha512sums="1574fa4e54a376b71745282bc50ab6bf1bb7379941bb5b07e4a23860a79fd7921b798d0edba6af450b40eb2632d0dfe3accb69028ca834d822c74bde5d15035f  r128.tar.gz"
-- 
2.3.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Apr 20 2015 - 11:14:31 GMT